Package com.xebialabs.xlrelease.risk.domain.events

# Class RiskScoreUpdated$

java.lang.Object
scala.runtime.AbstractFunction3<String,scala.Option<Risk>,Risk,RiskScoreUpdated>
com.xebialabs.xlrelease.risk.domain.events.RiskScoreUpdated$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,scala.Option<Risk>,Risk,RiskScoreUpdated>`

public class RiskScoreUpdated$ extends scala.runtime.AbstractFunction3<String,scala.Option<Risk>,Risk,RiskScoreUpdated> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RiskScoreUpdated$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RiskScoreUpdated$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RiskScoreUpdated`
  `apply(String releaseId, scala.Option<Risk> original, Risk updated)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,scala.Option<Risk>,Risk>>`
  `unapply(RiskScoreUpdated x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final RiskScoreUpdated$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### RiskScoreUpdated$

    public RiskScoreUpdated$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,scala.Option<Risk>,Risk,RiskScoreUpdated>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,scala.Option<Risk>,Risk,RiskScoreUpdated>`

  - ### apply

    public RiskScoreUpdated apply(String releaseId, scala.Option<Risk> original, Risk updated)
    Specified by:
      `apply` in interface `scala.Function3<String,scala.Option<Risk>,Risk,RiskScoreUpdated>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,scala.Option<Risk>,Risk>> unapply(RiskScoreUpdated x$0)